
Installer - Bug #8369

Error when re-running foreman-installer after upgrade from 1.6.2 to 1.7rc1

'"foreman::plugin::discovery::params::install_images" is not a boolean.  It looks to be a String'

11/12/2014 10:00 AM - Ronald van Zantvoort
Description

As per the manual, after upgrading 1.6.2 to 1.7rc1 I reran the foreman-installer.

This error's out:

root@foreman:~# foreman-installer --noop --dont-save-answers --verbose

[ INFO 2014-11-12 15:35:41 verbose] Executing hooks in group boot

[ INFO 2014-11-12 15:35:41 verbose] All hooks in group boot finished

[ INFO 2014-11-12 15:35:41 verbose] Executing hooks in group init

[ INFO 2014-11-12 15:35:41 verbose] All hooks in group init finished

[ INFO 2014-11-12 15:35:41 verbose] Parsing default values from puppet modules...

[ INFO 2014-11-12 15:35:41 verbose] ... finished

[ INFO 2014-11-12 15:35:41 verbose] Executing hooks in group pre_values

[ INFO 2014-11-12 15:35:41 verbose] All hooks in group pre_values finished

[ INFO 2014-11-12 15:35:41 verbose] Executing hooks in group pre_validations

[ INFO 2014-11-12 15:35:41 verbose] All hooks in group pre_validations finished

[ INFO 2014-11-12 15:35:41 verbose] Running validation checks

[ERROR 2014-11-12 15:35:41 verbose] "foreman::plugin::discovery::params::install_images" is not a 

boolean.  It looks to be a String

[ERROR 2014-11-12 15:35:41 verbose] Parameter foreman-plugin-discovery-install-images invalid

Error during configuration, exiting

[ERROR 2014-11-12 15:35:42 verbose] Repeating errors encountered during run:

[ERROR 2014-11-12 15:35:42 verbose] "foreman::plugin::discovery::params::install_images" is not a 

boolean.  It looks to be a String

[ERROR 2014-11-12 15:35:42 verbose] Parameter foreman-plugin-discovery-install-images invalid

 The same error came along in the RH BugZilla #1054362, and I too can't do hammer ping (but we just have Foreman, not Katello).

Related issues:

Related to Installer - Bug #8371: foreman-installer tries to install foreman-... Resolved 11/12/2014

History

#1 - 11/12/2014 10:15 AM - Ronald van Zantvoort

adding --foreman-plugin-discovery-install-images=[true|false] to the CLI options fixes the problem

#2 - 11/12/2014 10:24 AM - Ronald van Zantvoort

- Related to Bug #8371: foreman-installer tries to install foreman-release-scl on Ubuntu after upgrade from 1.6.2 to 1.7rc1 added

#3 - 02/29/2016 07:51 AM - Lukas Zapletal

- Project changed from Discovery to Installer

- Category changed from Discovery plugin to Foreman modules

- Status changed from New to Closed
Hello, is this still relevant? I am closing as you provided a workaround and we refactored the code already in the latest stable release.

#4 - 02/29/2016 07:53 AM - Dominic Cleal

- Status changed from Closed to Rejected

Seems valid, but unlikely to be fixed now.  (Please don't use the "Closed" status Lukas if it's not been fixed by a patch.)

Powered by TCPDF (www.tcpdf.org)

05/21/2024 2/2

http://www.tcpdf.org

